aboutsummaryrefslogtreecommitdiff
path: root/libs
diff options
context:
space:
mode:
Diffstat (limited to 'libs')
-rwxr-xr-xlibs/libgcrypt/libgcrypt.SlackBuild109
-rw-r--r--libs/libgcrypt/slack-desc19
-rwxr-xr-xlibs/libgpg-error/libgpg-error.SlackBuild113
-rw-r--r--libs/libgpg-error/slack-desc19
-rw-r--r--libs/libgpg-error/slack-required1
-rw-r--r--libs/libgphoto2/libgphoto2-2.2.1.diff14
-rwxr-xr-xlibs/libgphoto2/libgphoto2.SlackBuild121
-rwxr-xr-xlibs/libiconv/libiconv.SlackBuild104
-rwxr-xr-xlibs/libiec61883/libiec61883.SlackBuild118
-rw-r--r--libs/libiec61883/slack-required1
-rw-r--r--libs/libkexif/libkexif.SlackBuild202
-rwxr-xr-xlibs/libkipi/libkipi.SlackBuild201
-rwxr-xr-xlibs/liblo/liblo.SlackBuild121
-rwxr-xr-xlibs/liblrdf/liblrdf.SlackBuild119
-rw-r--r--libs/liblrdf/slack-required1
-rwxr-xr-xlibs/libquicktime/libquicktime.SlackBuild118
-rwxr-xr-xlibs/libraw1394/libraw1394.SlackBuild119
-rwxr-xr-xlibs/librsync/librsync.SlackBuild105
-rw-r--r--libs/libsafe/doinst.sh57
-rw-r--r--libs/libsafe/doinst64.sh57
-rwxr-xr-xlibs/libsafe/libsafe.SlackBuild74
-rw-r--r--libs/libsafe/slack-desc19
22 files changed, 0 insertions, 1812 deletions
diff --git a/libs/libgcrypt/libgcrypt.SlackBuild b/libs/libgcrypt/libgcrypt.SlackBuild
deleted file mode 100755
index c64ed336..00000000
--- a/libs/libgcrypt/libgcrypt.SlackBuild
+++ /dev/null
@@ -1,109 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for libgcrypt from http://www.slacky.it/download/libraries/libgcrypt/1.2.2/src
-#
-# Heavily based on the Slackware 10.2 SlackBuild
-# http://directory.fsf.org/security/libgcrypt.html
-#
-# small changes by rhatto
-#
-# TODO: check source signature
-#
-
-CWD=`pwd`
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libgcrypt"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.2.2}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-NAME="$PACKAGE"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="ftp://ftp.gnupg.org/gcrypt/$PACKAGE/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mcpu=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
-fi
-
-TMP="$TMP/$PACKAGE"
-PKG=$TMP/package-$PACKAGE
-rm -rf $TMP
-mkdir -p $PKG
-
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $NAME-$VERSION
-chown -R root.root .
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr --libdir="$LIBDIR" \
---disable-static \
---enable-m-guard \
---program-prefix="" \
---program-suffix="" \
-$ARCH-slackware-linux
-make || exit 32
-make install DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a AUTHORS BUGS COPYING* NEWS README* THANKS TODO VERSION \
- $PKG/usr/doc/$NAME-$VERSION
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-gzip $PKG/usr/info/*.info
-rm $PKG/usr/info/dir
-chown -R root.bin $PKG/usr/bin
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cd $CWD
-cp -a *.SlackBuild slack-desc $PKG/usr/doc/$NAME-$VERSION
-chown -R root.root $PKG/usr/doc/$NAME-$VERSION
-echo 'chroot . /sbin/ldconfig' > $PKG/install/doinst.sh
-cd $PKG
-#requiredbuilder -v -y $PKG
-
-makepkg -l y -c n $REPOS/$NAME-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
diff --git a/libs/libgcrypt/slack-desc b/libs/libgcrypt/slack-desc
deleted file mode 100644
index a4bfb8bf..00000000
--- a/libs/libgcrypt/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-libgcrypt: LibGcrypt
-libgcrypt:
-libgcrypt: Libgcrypt is a general purpose crypto library based on the code
-libgcrypt: used in GnuPG. We can't start with a new version number because
-libgcrypt: libgcrypt was part of gnupg 1.1 and some applications already used
-libgcrypt: it and tested for the version number. We believe that the API can
-libgcrypt: stay as it is, except that new functions may be added in the
-libgcrypt: future.
-libgcrypt:
-libgcrypt:
-libgcrypt:
diff --git a/libs/libgpg-error/libgpg-error.SlackBuild b/libs/libgpg-error/libgpg-error.SlackBuild
deleted file mode 100755
index dafd558b..00000000
--- a/libs/libgpg-error/libgpg-error.SlackBuild
+++ /dev/null
@@ -1,113 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for libgpg-error from
-# http://www.slacky.it/download/libraries/libgpg-error/1.3/src/libgpg-error.SlackBuild
-#
-# Heavily based on the Slackware 10.2 SlackBuild
-# http://www.gnupg.org/(en)/download/index.html
-#
-# small changes by rhatto
-#
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libgpg-error"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.4}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="bz2"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-#KEY="http://..."
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://ftp.gnupg.org/GnuPG/libgpg-error/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
-fi
-
-# TODO: signature checking
-#if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
-# wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
-#fi
-
-gpg --verify $SRC_DIR/$SRC.sig $SRC || echo WARNING: Could not check signature or WRONG signature found.
-
-NAME="$PACKAGE"
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mcpu=i686"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
-fi
-
-TMP="$TMP/$PACKAGE"
-PKG=$TMP/package-libgpg-error
-rm -rf $TMP
-mkdir -p $PKG
-
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$NAME-$VERSION.tar.bz2
-cd $NAME-$VERSION
-chown -R root.root .
-CFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr --libdir=$LIBDIR \
---disable-static \
---program-prefix="" \
---program-suffix="" \
-$ARCH-slackware-linux
-make || exit 32
-make install DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$NAME-$VERSION
-cp -a ABOUT-NLS AUTHORS ChangeLog COPYING* INSTALL NEWS README $PKG/usr/doc/$NAME-$VERSION
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-chown -R root.bin $PKG/usr/bin
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/slack-desc > $PKG/usr/doc/$NAME-$VERSION/slack-desc
-cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
-echo 'chroot . /sbin/ldconfig' > $PKG/install/doinst.sh
-cd $PKG
-# requiredbuilder -v -y -s $CWD $PKG
-
-makepkg -l y -c n $REPOS/$NAME-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libgpg-error/slack-desc b/libs/libgpg-error/slack-desc
deleted file mode 100644
index 4628b081..00000000
--- a/libs/libgpg-error/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler-------------------------------------------------------|
-libgpg-error: libgpg-error
-libgpg-error:
-libgpg-error: This is a library that defines common error values for all GnuPG
-libgpg-error: components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
-libgpg-error: pinentry, SmartCard Daemon and possibly more in the future.
-libgpg-error:
-libgpg-error:
-libgpg-error:
-libgpg-error:
-libgpg-error:
-libgpg-error: \ No newline at end of file
diff --git a/libs/libgpg-error/slack-required b/libs/libgpg-error/slack-required
deleted file mode 100644
index dc80d9bb..00000000
--- a/libs/libgpg-error/slack-required
+++ /dev/null
@@ -1 +0,0 @@
-glibc-solibs >= 2.3.5-i486-5
diff --git a/libs/libgphoto2/libgphoto2-2.2.1.diff b/libs/libgphoto2/libgphoto2-2.2.1.diff
deleted file mode 100644
index e80512a9..00000000
--- a/libs/libgphoto2/libgphoto2-2.2.1.diff
+++ /dev/null
@@ -1,14 +0,0 @@
-diff -Naur libgphoto2-2.2.1.orig/packaging/generic/print-camera-list.c libgphoto2-2.2.1/packaging/generic/print-camera-list.c
---- libgphoto2-2.2.1.orig/packaging/generic/print-camera-list.c 2006-04-18 22:54:05.000000000 -0300
-+++ libgphoto2-2.2.1/packaging/generic/print-camera-list.c 2006-10-20 15:30:00.000000000 -0200
-@@ -48,8 +48,8 @@
- #include <time.h>
- #include <string.h>
-
--#include <gphoto2/gphoto2-camera.h>
--#include <gphoto2/gphoto2-port-log.h>
-+#include <libgphoto2/gphoto2-camera.h>
-+#include <libgphoto2_port/libgphoto2_port/gphoto2-port-log.h>
-
- #ifndef TRUE
- #define TRUE (0==0)
diff --git a/libs/libgphoto2/libgphoto2.SlackBuild b/libs/libgphoto2/libgphoto2.SlackBuild
deleted file mode 100755
index 15f3903b..00000000
--- a/libs/libgphoto2/libgphoto2.SlackBuild
+++ /dev/null
@@ -1,121 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for libgphoto2
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building libgphoto2 are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libgphoto2"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=2.2.1}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/gphoto/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-included-ltdl || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-libgphoto2: libgphoto2 (digital camera access library)
-libgphoto2:
-libgphoto2: libgphoto2 is a library that can be used by applications to access
-libgphoto2: various digital cameras.
-libgphoto2:
-libgphoto2:
-libgphoto2:
-libgphoto2:
-libgphoto2:
-libgphoto2:
-libgphoto2:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-DOCS="ABOUT-NLS AUTHORS CHANGES COPYING ChangeLog HACKING INSTALL MAINTAINERS NEWS README TESTERS"
-
-for file in $DOCS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libiconv/libiconv.SlackBuild b/libs/libiconv/libiconv.SlackBuild
deleted file mode 100755
index 81d2bd79..00000000
--- a/libs/libiconv/libiconv.SlackBuild
+++ /dev/null
@@ -1,104 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for libiconv
-# by rhatto at riseup.net
-#
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libiconv"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.11}
-BUILD=${BUILD:=2rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://ftp.gnu.org/pub/gnu/libiconv/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-./configure --prefix=/usr --libdir=$LIBDIR --enable-static
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-libiconv: libiconv (Character set conversion library)
-libiconv:
-libiconv: GNU libiconv provides an iconv() implementation for use on systems
-libiconv: which don't have one or whose implementation cannot convert from/to
-libiconv: Unicode. It supports all the important encodings in use today.
-libiconv:
-libiconv:
-libiconv:
-libiconv:
-libiconv:
-libiconv:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in ABOUT-NLS AUTHORS COPYING.LIB ChangeLog DESIGN INSTALL.generic NEWS NOTES PORTS README THANKS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-echo 'chroot . /sbin/ldconfig' > install/doinst.sh
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libiec61883/libiec61883.SlackBuild b/libs/libiec61883/libiec61883.SlackBuild
deleted file mode 100755
index a2040534..00000000
--- a/libs/libiec61883/libiec61883.SlackBuild
+++ /dev/null
@@ -1,118 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for libiec61883
-# by rafael at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building libiec61883 are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libiec61883"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.1.0}
-BUILD=${BUILD:=1rd}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.linux1394.org/dl/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-libiec61883: libiec61883 (libiec61883 is Firewire video related library)
-libiec61883:
-libiec61883: This library is an implementation of IEC 61883, part 1 (CIP, plug
-libiec61883: registers, and CMP), part 2 (DV-SD), part 4 (MPEG2-TS), and part 6
-libiec61883: (AMDTP). Outside of IIDC, nearly all FireWire multimedia devices use
-libiec61883: IEC 61883 protocols.
-libiec61883:
-libiec61883:
-libiec61883:
-libiec61883: http://www.linux1394.org/
-libiec61883:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING ChangeLog INSTALL NEWS README;do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libiec61883/slack-required b/libs/libiec61883/slack-required
deleted file mode 100644
index 8bc743d3..00000000
--- a/libs/libiec61883/slack-required
+++ /dev/null
@@ -1 +0,0 @@
-libraw1394
diff --git a/libs/libkexif/libkexif.SlackBuild b/libs/libkexif/libkexif.SlackBuild
deleted file mode 100644
index 4f4e4c53..00000000
--- a/libs/libkexif/libkexif.SlackBuild
+++ /dev/null
@@ -1,202 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for libkexif, by Rudson R. Alves
-# requires: none
-# tested: libkexif-0.2.5
-
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-elif [ -e "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="libkexif-0.2.5.tar.bz2"
-MD5_ORIG="a2b933b80deabe57d8515583236ae6ff"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i468}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://ufpr.dl.sourceforge.net/sourceforge/kipi/$SRC"}
-
-# ---------------- SlackBuild Help ----------------------
-if [ "$1" = "--help" -o "$1" = "help" ]; then
- echo -e "\033[01;32m
-Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
-where:
- ARCH=machine arch (i386, i486, i686, ...)
- VERSION=package version
- BUILD=package build version (default 1rud)
- SRC=source name of package
- SRC_DIR=source directory (default $PWD)
- TMP=temporary directory (default /tmp)
- REPOS=repository directory
- PREFIX=prefix from install package
- OPTCONF=options to pass from ./configure. To configure
- help, use OPTCONF=\"--help\"
- MD5=md5sum from package source
- URL=url from package source
-\033[m"
- exit $ERROR_HELP
-fi
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
-fi
-
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit 0
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
-fi
-
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
-# LIBDIR="$PREFIX/lib64"
-fi
-
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
-
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX $OPTCONF --libdir=$LIBDIR
-if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
- echo -e "\n\n\033[01;31m Configure error \n\033[m"
- exit $ERROR_CONF
-fi
-
-# ---------------- Compila programa ---------------------
-echo -e "\n\n\033[01;32m make -j3 \n\033[m"
-make -j3
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Build error \n\033[m"
- exit $ERROR_MAKE
-fi
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
-make install DESTDIR=$PKG
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Install error \n\033[m"
- exit $ERROR_INSTALL
-fi
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |----handy-ruler------------------------------------------------------|
-libkexif: LIBKEXIF package, by Rudson R. Alves <rudsonalves[a]yahoo.com.br>
-libkexif:
-libkexif: Libkexif is a library for manipulating EXIF information embedded in
-libkexif: images. It currently supports viewing of all EXIF information via
-libkexif: libexif. It also supports the modification of a few attributes in a
-libkexif: safe way that preserves all other EXIF information in the file.
-libkexif: Authors and maintainers:
-libkexif: Renchi Raju <renchi.raju at kdemail.net>
-libkexif: Caulier Gilles <caulier dot gilles at free.fr>
-libkexif: Ralf Hoelzer <kde at ralfhoelzer.com>
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,PACKAGING,README,RELEASE.rev} $PKG_DOC
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
- rm -rf $PKG $PKG_SRC
-fi
diff --git a/libs/libkipi/libkipi.SlackBuild b/libs/libkipi/libkipi.SlackBuild
deleted file mode 100755
index 78fe1a19..00000000
--- a/libs/libkipi/libkipi.SlackBuild
+++ /dev/null
@@ -1,201 +0,0 @@
-#!/bin/bash
-#
-# slackbuild for libkipi, by Rudson R. Alves
-# requires: none
-# tested: libkipi-0.1.4
-
-CWD=`pwd`
-
-# ---- Inicializa variáveis com o slackbuild ------------
-if [ -e "/root/.slackbuildrc" ]; then
- source /root/.slackbuildrc
-elif [ -e "/etc/slackbuildrc" ]; then
- source /etc/slackbuildrc
-fi
-
-# -------- Variáveis de controle de versão --------------
-# Nome da fonte para a qual o slackbuild foi construído e
-# o seu md5sum
-SRC_ORIG="libkipi-0.1.4.tar.bz2"
-MD5_ORIG="2d8b8da064b85b0e53a98b4a7510392e"
-PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\1/'`
-VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\2/'`
- EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)-(.*)\.(.*\..*)$/\3/'`
-
-# ------- Códigos de erro para o createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40; ERROR_VCS=41
-
-# --------- Inicializa variáveis de entrada -------------
-PACKAGE=$PACKAGE_ORIG
-ARCH=${ARCH:=i468}
-SRC_DIR=${SRC:=$CWD}
-VERSION=${VERSION:=$VERSION_ORIG}
-SRC=$PACKAGE-$VERSION.$EXTENSION
-BUILD=${BUILD:=1rud}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-PREFIX=${PREFIX:=/opt/kde}
-OPTCONF=${OPTCONF:=""}
-MD5=${MD5:=$MD5_ORIG}
-URL=${URL:="http://superb-west.dl.sourceforge.net/sourceforge/kipi/$SRC"}
-
-# ---------------- SlackBuild Help ----------------------
-if [ "$1" = "--help" -o "$1" = "help" ]; then
- echo -e "\033[01;32m
-Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
-where:
- ARCH=machine arch (i386, i486, i686, ...)
- VERSION=package version
- BUILD=package build version (default 1rud)
- SRC=source name of package
- SRC_DIR=source directory (default $PWD)
- TMP=temporary directory (default /tmp)
- REPOS=repository directory
- PREFIX=prefix from install package
- OPTCONF=options to pass from ./configure. To configure
- help, use OPTCONF=\"--help\"
- MD5=md5sum from package source
- URL=url from package source
-\033[m"
- exit $ERROR_HELP
-fi
-
-# ---------------- Download fontes ----------------------
-# Fonte a ser compilada, com o path
-SOURCE=$SRC_DIR/$PACKAGE/$SRC
-# Verifica existência do pacote em $SRC em $SRC_DIR
-if [ ! -e $SOURCE ]; then
- echo -e "\n\n\033[01;32m Download $PACKAGE \n\033[m"
- wget "$URL" -P "$SRC_DIR/$PACKAGE"
- # Verifica se o
- if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
- exit $ERROR_WGET
- fi
-fi
-
-# ------------------ Checa md5sum -----------------------
-if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
- SUM=`md5sum $SOURCE | awk '{print $1}'`
- if [ "$SUM" != "$MD5" ]; then
- echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
- echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
- exit 0
- fi
- echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
-fi
-
-# ----------------- ARCH e LIBDIR -----------------------
-# Libdir, para arch x86_64
-LIBDIR=$PREFIX/lib
-# Seleciona flags para o compilador
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2"
- LIBDIR="$PREFIX/lib64"
-fi
-
-# -------------- Desempacota fontes ---------------------
-# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
-PKG_SRC=$TMP/$PACKAGE-source
-rm -rf $PKG_SRC 2>/dev/null
-mkdir -p $PKG_SRC
-# Desempacota $SOURCE em $TMP/$PACKAGE-source
-tar xvf $SOURCE -C $PKG_SRC
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
- exit $ERROR_TAR
-fi
-# Pega o nome do diretório das fontes independente de sua
-# estrutura (package-version...)
-PKG_DIR="$PKG_SRC/$( ls $PKG_SRC/ )"
-cd $PKG_DIR
-
-# -------------- Configura programa ---------------------
-# Configura programa
-echo -e "\n\n\033[01;32m CFLAGS=\"$SLKCFLAGS\" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF \n\033[m"
-CFLAGS="$SLKCFLAGS" ./configure --prefix=$PREFIX --libdir=$LIBDIR $OPTCONF
-if [ $? -ne 0 -o "$OPTCONF" = "--help" ]; then
- echo -e "\n\n\033[01;31m Configure error \n\033[m"
- exit $ERROR_CONF
-fi
-
-# ---------------- Compila programa ---------------------
-echo -e "\n\n\033[01;32m make -j3 \n\033[m"
-make -j3
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Build error \n\033[m"
- exit $ERROR_MAKE
-fi
-
-# ------------- Diretório Temporário --------------------
-# Cria diretório temporário para construção do pacote
-PKG=$TMP/$PACKAGE
-rm -rf $PKG
-mkdir -p $PKG
-
-# --------------- Instala programa ----------------------
-# Instala programa em diretório temporário
-echo -e "\n\n\033[01;32m make install DESTDIR=$PKG \n\033[m"
-make install DESTDIR=$PKG
-if [ $? -ne 0 ]; then
- echo -e "\n\n\033[01;31m Install error \n\033[m"
- exit $ERROR_INSTALL
-fi
-
-# ----------------- Stripa código -----------------------
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-# ---------------- Cria slack-desc ----------------------
-mkdir $PKG/install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |----handy-ruler------------------------------------------------------|
-libkipi: LIBKIPI package, by Rudson R. Alves <rudsonalves[a]yahoo.com.br>
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-libkipi:
-EOF
-
-# ----------------- Documentações -----------------------
-# Criar diretório de documentação
-PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
-mkdir -p $PKG_DOC
-cp $PKG_DIR/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,README.rev,TODO} $PKG_DOC
-
-# --------------- Constroi o pacote ---------------------
-echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-if [ $? -ne 0 ]; then
- exit $ERROR_MKPKG
-fi
-
-# ----------- Remove arquivos temporários ---------------
-if [ "$CLEANUP" = "yes" ]; then
- echo -e "\n\n\033[01;32m Remove files... \n\033[m"
- rm -rf $PKG $PKG_SRC
-fi
diff --git a/libs/liblo/liblo.SlackBuild b/libs/liblo/liblo.SlackBuild
deleted file mode 100755
index 44449334..00000000
--- a/libs/liblo/liblo.SlackBuild
+++ /dev/null
@@ -1,121 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for liblo
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building liblo are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="liblo"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.23}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-# ------- error codes for createpkg --------------
-ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
-ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
-ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
-ERROR_PATCH=40
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
-make || exit $ERROR_MAKE
-make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-liblo: liblo
-liblo:
-liblo: LibLO is a lightweight library for handling the sending and
-liblo: receiving of messages according to the Open Sound Control (OSC)
-liblo: protocol on POSIX systems.
-liblo:
-liblo:
-liblo:
-liblo:
-liblo:
-liblo:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-DOCS="AUTHORS COPYING ChangeLog NEWS README TODO"
-
-for file in $DOCS; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/liblrdf/liblrdf.SlackBuild b/libs/liblrdf/liblrdf.SlackBuild
deleted file mode 100755
index 43cfc8f9..00000000
--- a/libs/liblrdf/liblrdf.SlackBuild
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for liblrdf
-# by rhatto at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building liblrdf are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="liblrdf"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.4.0}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- export LDFLAGS="-L/lib64 -L/usr/lib64"
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/lrdf/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-liblrdf: liblrdf (lightweight RDF)
-liblrdf:
-liblrdf: Liblrdf is a lightweight RDF library with special support for
-liblrdf: LADSPA plugins.
-liblrdf:
-liblrdf:
-liblrdf:
-liblrdf:
-liblrdf:
-liblrdf:
-liblrdf:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING ChangeLog INSTALL NEWS README; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/liblrdf/slack-required b/libs/liblrdf/slack-required
deleted file mode 100644
index 6c92f463..00000000
--- a/libs/liblrdf/slack-required
+++ /dev/null
@@ -1 +0,0 @@
-ladspa
diff --git a/libs/libquicktime/libquicktime.SlackBuild b/libs/libquicktime/libquicktime.SlackBuild
deleted file mode 100755
index fb065249..00000000
--- a/libs/libquicktime/libquicktime.SlackBuild
+++ /dev/null
@@ -1,118 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for libquicktime
-# by rafael at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building libquicktime are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libquicktime"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.9.10}
-BUILD=${BUILD:=1rd}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://ufpr.dl.sourceforge.net/sourceforge/libquicktime/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --enable-gpl --sysconfdir=/etc --libdir=$LIBDIR --with-docdir=/usr/doc/$PACKAGE-$VERSION
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-libquicktime: libquicktime (libquicktime is a library for quicktime/avi/mp4 files)
-libquicktime:
-libquicktime: libquicktime is a library for reading and writing quicktime files.
-libquicktime: It is based on the quicktime4linux library, with the following some
-libquicktime: extensions:
-libquicktime:
-libquicktime:
-libquicktime:
-libquicktime:
-libquicktime: http://libquicktime.sourceforge.net/
-libquicktime:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING ChangeLog INSTALL NEWS README TODO;do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libraw1394/libraw1394.SlackBuild b/libs/libraw1394/libraw1394.SlackBuild
deleted file mode 100755
index 2b42e168..00000000
--- a/libs/libraw1394/libraw1394.SlackBuild
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for libraw1394
-# by rafael at riseup.net
-#
-
-if [ -s "slack-required" ]; then
- echo Recomended and required packages for building libraw1394 are:
- cat slack-required | sed -e 's/^/\t/'
- if [ "$INTERACT" != "no" ]; then
- echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
- read crap
-# else
-# echo Sleeping 3 seconds...
-# sleep 3
- fi
-fi
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="libraw1394"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=1.2.1}
-BUILD=${BUILD:=1rd}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://www.linux1394.org/dl/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make || exit 32
-make DESTDIR=$TMP/package-$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-libraw1394: libraw1394 (provides direct access to the IEEE 1394 bus)
-libraw1394:
-libraw1394: Libraw1394 provides direct access to the IEEE 1394 bus through the
-libraw1394: Linux 1394 subsystem's raw1394 user space interface.
-libraw1394:
-libraw1394:
-libraw1394:
-libraw1394:
-libraw1394: http://linux1394.sourceforge.net/
-libraw1394:
-libraw1394:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-mv usr/doc/* usr/doc/$PACKAGE-$VERSION
-
-for file in ChangeLog COPYING.LIB AUTHORS NEWS README ;do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/librsync/librsync.SlackBuild b/libs/librsync/librsync.SlackBuild
deleted file mode 100755
index 2e6955ed..00000000
--- a/libs/librsync/librsync.SlackBuild
+++ /dev/null
@@ -1,105 +0,0 @@
-#!/bin/bash
-#
-# slackbuild script for librsync
-# by rhatto at riseup.net
-#
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-# default settings
-PACKAGE="librsync"
-ARCH=${ARCH:=i486}
-VERSION=${VERSION:=0.9.7}
-BUILD=${BUILD:=1rha}
-SRC_DIR=${SRC:=$CWD}
-TMP=${TMP:=/tmp}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
- export CFLAGS=-fPIC
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/librsync/$SRC"
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION
-
-./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR
-make all check
-make DESTDIR=$TMP/package-$PACKAGE/$PACKAGE install
-
-CWD="`pwd`"
-
-cd $TMP/package-$PACKAGE/$PACKAGE
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-librsync: librsync
-librsync:
-librsync: librsync implements the rolling-checksum algorithm of remote file
-librsync: synchronization that was popularized by the rsync utility and is used
-librsync: in rproxy. This algorithm transfers the differences between 2 files
-librsync: without needing both files on the same system.
-librsync:
-librsync:
-librsync:
-librsync:
-librsync:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS COPYING ChangeLog NEWS README README.CVS README.RPM THANKS TODO; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-echo 'chroot . /sbin/ldconfig' > install/doinst.sh
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libsafe/doinst.sh b/libs/libsafe/doinst.sh
deleted file mode 100644
index 813767b3..00000000
--- a/libs/libsafe/doinst.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/sh
-
-# libmove sourcelib targetlib
-#
-# This allows you to move a new shared library into place,
-# even on a running system.
-libmove() {
- LIBSOURCE=$1
- LIBTARGET=$2
- LIBFOO="`dirname $LIBTARGET`/libfoo.so.0.0.0"
- # link duplicate of target lib so we can safely copy over it:
- if [ -r $LIBTARGET ]; then
- cp -a $LIBTARGET $LIBFOO
- if [ -x /sbin/ldconfig ]; then
- ldconfig -l $LIBFOO 2> /dev/null
- fi
- fi
- mv $LIBSOURCE $LIBTARGET
- if [ -x /sbin/ldconfig ]; then
- ldconfig -l $LIBTARGET 2> /dev/null
- fi
- rm -f $LIBFOO
-}
-
-# Before using libmove, try to install everything we can:
-( cd lib/incoming
- for file in * ; do
- if [ ! -r ../$file ]; then
- cp -a $file ..
- fi
- done )
-# Prepare the library for use with ldconfig:
-if [ -x sbin/ldconfig ]; then
- chroot . /sbin/ldconfig
-fi
-
-( cd lib/incoming
- for file in * ; do
- libmove $file ../$file
- done )
-#### Now, get rid of the temporary directory:
-rm -rf lib/incoming
-
-# add the library to /etc/ld.so.preload:
-if fgrep libsafe.so.2 etc/ld.so.preload 1> /dev/null 2> /dev/null ; then
- GOOD=we_found_it
-else
- echo "/lib/libsafe.so.2" >> etc/ld.so.preload
-fi
-
-# Prepare the library for use with ldconfig:
-if [ -x sbin/ldconfig ]; then
- chroot . /sbin/ldconfig
-else # In case there's no ldconfig, make the links manually:
- ( cd lib ; rm -rf libsafe.so.2 )
- ( cd lib ; ln -sf libsafe.so.2.0.9 libsafe.so.2 )
-fi
diff --git a/libs/libsafe/doinst64.sh b/libs/libsafe/doinst64.sh
deleted file mode 100644
index a5d753a9..00000000
--- a/libs/libsafe/doinst64.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/sh
-
-# libmove sourcelib targetlib
-#
-# This allows you to move a new shared library into place,
-# even on a running system.
-libmove() {
- LIBSOURCE=$1
- LIBTARGET=$2
- LIBFOO="`dirname $LIBTARGET`/libfoo.so.0.0.0"
- # link duplicate of target lib so we can safely copy over it:
- if [ -r $LIBTARGET ]; then
- cp -a $LIBTARGET $LIBFOO
- if [ -x /sbin/ldconfig ]; then
- ldconfig -l $LIBFOO 2> /dev/null
- fi
- fi
- mv $LIBSOURCE $LIBTARGET
- if [ -x /sbin/ldconfig ]; then
- ldconfig -l $LIBTARGET 2> /dev/null
- fi
- rm -f $LIBFOO
-}
-
-# Before using libmove, try to install everything we can:
-( cd lib64/incoming
- for file in * ; do
- if [ ! -r ../$file ]; then
- cp -a $file ..
- fi
- done )
-# Prepare the library for use with ldconfig:
-if [ -x sbin/ldconfig ]; then
- chroot . /sbin/ldconfig
-fi
-
-( cd lib64/incoming
- for file in * ; do
- libmove $file ../$file
- done )
-#### Now, get rid of the temporary directory:
-rm -rf lib64/incoming
-
-# add the library to /etc/ld.so.preload:
-if fgrep libsafe.so.2 etc/ld.so.preload 1> /dev/null 2> /dev/null ; then
- GOOD=we_found_it
-else
- echo "/lib64/libsafe.so.2" >> etc/ld.so.preload
-fi
-
-# Prepare the library for use with ldconfig:
-if [ -x sbin/ldconfig ]; then
- chroot . /sbin/ldconfig
-else # In case there's no ldconfig, make the links manually:
- ( cd lib64 ; rm -rf libsafe.so.2 )
- ( cd lib64 ; ln -sf libsafe.so.2.0.9 libsafe.so.2 )
-fi
diff --git a/libs/libsafe/libsafe.SlackBuild b/libs/libsafe/libsafe.SlackBuild
deleted file mode 100755
index 2dd83b40..00000000
--- a/libs/libsafe/libsafe.SlackBuild
+++ /dev/null
@@ -1,74 +0,0 @@
-#!/bin/bash
-#
-# got it from ftp://ftp.slackware.com/pub/slackware/slackware-10.2/extra/source/libsafe-2.0-16/libsafe.SlackBuild
-# small changes by rhatto
-#
-
-CWD="`pwd`"
-
-if [ -f ~/.slackbuildrc ]; then
- source ~/.slackbuildrc
-elif [ -f /etc/slackbuildrc ]; then
- source /etc/slackbuildrc
-fi
-
-PACKAGE="libsafe"
-ARCH=${ARCH:=i486}
-BUILD=${BUILD:=1rha}
-TMP=${TMP:=/tmp}
-VERSION=2.0.16
-SRCPKG=2.0-16
-SRC_DIR=${SRC:=$CWD}
-REPOS=${REPOS:=$TMP}
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=lib64
- DOINST="doinst64.sh"
-else
- LIBDIR=lib
- DOINST="doinst.sh"
-fi
-
-RTOOL="wget"
-SRC="$PACKAGE-$SRCPKG.tar.gz"
-URL="ftp://ftp.slackware.com/pub/slackware/slackware-10.2/extra/source/libsafe-$SRCPKG/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-PKG=$TMP/package-$PACKAGE
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xzvf $SRC_DIR/$SRC
-cd libsafe-$SRCPKG
-
-chown -R root.root .
-find . -perm 775 -exec chmod 755 {} \;
-find . -perm 664 -exec chmod 644 {} \;
-make || exit 32
-mkdir -p $PKG/$LIBDIR/incoming
-cat src/libsafe.so.$VERSION > $PKG/$LIBDIR/incoming/libsafe.so.$VERSION
-chmod 755 $PKG/$LIBDIR/incoming/libsafe.so.$VERSION
-mkdir $PKG/install
-cat $CWD/$DOINST > $PKG/install/doinst.sh
-cat $CWD/slack-desc > $PKG/install/slack-desc
-mkdir -p $PKG/usr/doc/libsafe-$VERSION
-cp -a \
- COPYING ChangeLog EMAIL_NOTIFICATION INSTALL README doc \
- $PKG/usr/doc/libsafe-$VERSION
-mkdir -p $PKG/usr/man/man8
-cat doc/libsafe.8 | gzip -9c > $PKG/usr/man/man8/libsafe.8.gz
-cd $PKG
-makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
-if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
-fi
-
diff --git a/libs/libsafe/slack-desc b/libs/libsafe/slack-desc
deleted file mode 100644
index 5cf1c752..00000000
--- a/libs/libsafe/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-libsafe: libsafe
-libsafe:
-libsafe: The libsafe library protects a process against the exploitation of
-libsafe: buffer overflow vulnerabilities in process stacks and against format
-libsafe: string exploits. Libsafe works with any existing pre-compiled
-libsafe: executable and can be used transparently, even on a system-wide basis.
-libsafe: The method intercepts all calls to library functions that are known to
-libsafe: be vulnerable. Libsafe has been shown to detect several known attacks
-libsafe: and can potentially prevent yet unknown attacks. Experiments indicate
-libsafe: that the performance overhead of libsafe is negligible.
-libsafe: